/****************************************************************************/
/*                 header  outray.h                                         */
/****************************************************************************/
/*
 *      Copyright (C) 1992,  Woods Hole Oceanographic Institution
 *    See LICENSE file for use, copying and distribution conditions
 *
 *
 *  jim bowlin feb 1992.
 *
 *  matlab output routines for ray.c
 */

#if defined(__MSDOS__)
#define Mat_mach_num 0
#else
#define Mat_mach_num 1
#endif

/*** Mat_mach_num = 0 for PC or dec_station ***/
/*** Mat_mach_num = 1 for Sun or Convex     ***/

#define LONG long

/*** the following routines are the ones that can write to ascii files ***/

void save_rinfo(FILE *mat_file,FILE *asc_file,rinfos *first,char *name);
void save_string(FILE *mat_file,FILE *asc_file,char *name,char *str);


/*** the following routines are for matlab files only ***/

void start_mat(FILE *file,char *name,LONG rows,LONG cols,long iflag,long type);
long mat_type(long swaprc,long dtype,long text);
/*** MOPT ***/

void save_speeds(FILE *mat_file,tabtabs *tt,int *idex,rstep_tabs *rs_tab,c_tabs *rctab,params *param,environs *environ);
void start_swapmat(FILE *mat_file,char *name,LONG rows,LONG cols);
void save_bathymetry(FILE *mat_file,btabs *first_btab,char *name);
void save_pinfo_help(FILE *mat_file,char *name,pinfos *pinfo);
void save_doubles(FILE *mat_file,double *d,int n,char *name);

