function plotpath(paths,range,color)
%
% function plotpath(paths,range,color)
%
% plots all paths in paths in color color.  Assumes that
% the range is the first column of paths
% the depth is the second column of paths
% the ray number is the last column of paths
% The color defaults to green if not specified.

% THis is for plotting rays for NUKE'S ONLY
%	change ranges to km from m


if (nargin==1),
  range=[-90 90];
  color='g';
elseif (nargin==2),
  if (isstr(range)), color=range; range=[-90 90];
  else color='g';
  end;
end;

range=range*pi/180;

%%% r =    paths(:,1);
r =    paths(:,1)./1000.;
z =   -paths(:,2);
[n,m] = size(paths);
idex = find(r(1:(n-1)) > r(2:n) );

sdex = [1   ;    idex+1];
idex = [idex; size(r,1)];

lastii = 1;
axis([min(r),max(r),min(z),max(z)]);

for i = 1:length(idex)
   
   v = sdex(i):idex(i);
   if ( paths(sdex(i),4)>=range(1) & paths(sdex(i),4)<=range(2) ),
         %%%% plot(r(v),z(v),color); hold on;
	line(r(v),z(v),'color',color);
	%% pause;
   end;
end;
%%% hold off;
