function plotwvfnt(paths,color)
%
% function plotwvfrnt(paths,color)
%
% plots all paths in paths in color color.  Assumes that
% the range is the first column of paths
% the depth is the second column of paths
% the ray number is the last column of paths
% The color defaults to green if not specified.

if (nargin < 2); color = 'g'; end;

r =    paths(:,1);
z =   -paths(:,2);
t =    paths(:,3);
[n,m] = size(paths);
idex = find(r(1:(n-1)) - r(2:n) > 0 );

lide=size(r,1);
idex = [idex; lide];

hh=plot((t(idex)-max(t(idex))),z(idex),color);
hh2=line((t(idex)-max(t(idex))),z(idex),'color',color);
V=axis;V(3)=min(z);V(2)=-.05*V(1);
axis(V);
set(hh,'erasemode','xor');
set(hh2,'erasemode','xor');
for ii=idex(1)-1:-2:1,
 toff=max(t(idex-ii));
 set(hh,'xdata',(t(idex-ii)-toff),'ydata',z(idex-ii));drawnow;
 toff=max(t(idex-ii+1));
 set(hh2,'xdata',(t(idex-ii+1)-toff),'ydata',z(idex-ii+1));drawnow;
end;
