function plotztheta(paths,color)
%
% function plotztheta(paths,color)
%
% plots all paths in paths in color color.  Assumes that
% the range is the first column of paths
% the depth is the second column of paths
% the ray number is the last column of paths
% The color defaults to green if not specified.

if (nargin < 2); color = 'g'; end;

s =    paths(:,1);
z =   -paths(:,5);
t =    paths(:,3);
a =    paths(:,4);
[n,m] = size(paths);


plot(s*180/pi,z,color);
