function [c,dz,ii] = tabspeed(d,idex,tab,profnum)
%
% function [c,dz,ii] = tabspeed(d,idex,tab,profnum)
%
% Create a vector of depths d, (ie d = 1:6000;)
% then c = tabspeed(d,idex,ctab001)
% will evaluate the sound speed at every point of the vector d.

if (nargin < 4); profnum = 1; end;
coloff = (profnum-1) * 4;
d= d(:);
index = d;
v = find( d < 1);
if (length(v) > 0);index(v) = ones(length(v),1);end;
len_idex = length(idex);
v = find( d+1 > len_idex);
if (length(v) > 0); index(v) = (len_idex-1) * ones(length(v),1);end;

z0 = tab(:,coloff+1);
c0 = tab(:,coloff+2);
c1 = tab(:,coloff+3);
c2 = tab(:,coloff+4);
ii = idex(index+1) + 1;
dz = d - z0(ii);
c  = c0(ii) + dz .* ( c1(ii) + dz .* c2(ii) );

